"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.maybeProtectConnectionString = maybeProtectConnectionString;
exports.useMaybeProtectConnectionString = useMaybeProtectConnectionString;
const provider_1 = require("compass-preferences-model/provider");
const mongodb_connection_string_url_1 = require("mongodb-connection-string-url");
function maybeProtectConnectionString(protectConnectionStrings, connectionString) {
    if (protectConnectionStrings) {
        return (0, mongodb_connection_string_url_1.redactConnectionString)(connectionString);
    }
    return connectionString;
}
function useMaybeProtectConnectionString() {
    const protectConnectionStrings = (0, provider_1.usePreference)('protectConnectionStrings');
    return (connectionString) => maybeProtectConnectionString(protectConnectionStrings, connectionString);
}
//# sourceMappingURL=index.js.map